Bug 54352 - Conversion rc.d scripts to RC_NG
Summary: Conversion rc.d scripts to RC_NG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-11 04:00 UTC by Scot W. Hetzel
Modified: 2004-06-11 07:53 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (41.68 KB, patch)
2003-07-11 04:00 UTC, Scot W. Hetzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scot W. Hetzel 2003-07-11 04:00:35 UTC
  We could have followed the way NetBSD converted their rc.d scripts.  But
  this required checking for /etc/rc.subr and then determining whether to
  use the RC_NG script or the old rc.d script.

  To support a combined RC_OLD and RC_NG rc.d script, both the port
  port maintainer and port commiter would have to ensure that the
  rc.d scripts function correctly on both RC_OLD and RC_NG systems.

  The path I finally decided on was to convert the rc.d scripts to only
  support systems that have rc.subr installed.  To make these scripts
  work on older systems, we need to create a port for rc.subr (PR 54116).

  These changes allows us to simplify the rc.d scripts, as well as provide    
  additional standard arguments (start, stop, restart, status, ...) as well
  as custom arguments.

  Attached are patches to change the rc.d scripts to RC_NG format as 
  used in FreeBSD-5.x for several ports.  These rc.d scripts depend on 
  /etc/rc.subr or using the sysutils/rc_subr port (FreeBSD < 5.x), see 
  PR 54116.

Fix: The Attached patch affects the following ports:

    net/freeradius
    net/openldap12
    net/openldap20
    net/openldap21
    net/openldap22
    net/radiusd-cistron
    net/samba
    net/samba-devel

  Changed Files                New Files
  -------------                ------------------
  freeradius/Makefile
  freeradius/files/radiusd.sh

  openldap12/Makefile
  openldap12/pkg-plist
  openldap12/files/slapd.sh    openldap12/files/slurpd.sh

  openldap20/Makefile
  openldap20/pkg-plist
  openldap20/files/slapd.sh
  openldap20/files/slurpd.sh

  openldap21/Makefile
  openldap21/pkg-plist
  openldap21/files/slapd.sh
  openldap21/files/slurpd.sh

  openldap22/Makefile
  openldap22/files/slapd.sh
  openldap22/files/slurpd.sh

  radiusd-cistron/Makefile
  radiusd-cistron/files/radiusd.sh.tmpl

  samba/Makefile               samba/files/nmbd.sh
  samba/pkg-plist              samba/files/smbd.sh

  samba-devel/Makefile         samba-devel/files/nmbd.sh
  samba-devel/pkg-plist        samba-devel/files/smbd.sh
  samba-devel/files/README.FreeBSD

  Removed Files
  -------------
  samba/files/samba.sh.sample
  samba-devel/files/samba.sh.sample
Comment 1 Scot W. Hetzel 2003-07-12 01:30:27 UTC
The originator should be hetzels@westbend.net.

Scot W. Hetzel
Comment 2 dirk.meyer 2003-07-28 11:37:17 UTC
for net/radiusd-cistron I commited part of the suggested changes:
- use %%PREFIX%% instead of !!PREFIX!!
- use INSTALL_SCRIPT
- check pidfile

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 3 Oliver Eikemeier 2003-08-28 11:23:07 UTC
scripts for ports net/openldap2[012]-server:
included with modifications in PR 56077, thanks!
Comment 4 Edwin Groothuis freebsd_committer 2004-01-13 09:35:09 UTC
State Changed
From-To: feedback->closed

mail bounces: 

<hetzels@westbend.net>: host mail.westbend.net[65.114.87.48] said: 553 5.0.0    
<hetzels@westbend.net>... Viruses are not being sent or accepted for this 
address,Check the message headers and notify the appropriate ISP (in reply 
to RCPT TO command)
Comment 5 Edwin Groothuis freebsd_committer 2004-01-13 09:35:09 UTC
State Changed
From-To: open->closed

mail bounces: 

<hetzels@westbend.net>: host mail.westbend.net[65.114.87.48] said: 553 5.0.0    
<hetzels@westbend.net>... Viruses are not being sent or accepted for this 
address,Check the message headers and notify the appropriate ISP (in reply 
to RCPT TO command)
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2004-01-13 14:38:43 UTC
State Changed
From-To: closed->open

Closed incorrectly.  Submitter's email address has been 
changed due to spam.  Please contact me for followup.
Comment 7 Oliver Eikemeier freebsd_committer 2004-06-11 07:52:21 UTC
State Changed
From-To: open->closed

This PR has done its deed.